aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2023-04-10 14:05:02 +1200
committerTom Ryder <tom@sanctum.geek.nz>2023-04-10 14:13:04 +1200
commit437426db8f23add2adbee1125dde22a01e477726 (patch)
tree8e3d220645fb7b047ad4e5af7e99ff36d4d55c68
parentRemove disused TextEditorAnywhere Vim support (diff)
downloaddotfiles-437426db8f23add2adbee1125dde22a01e477726.tar.gz
dotfiles-437426db8f23add2adbee1125dde22a01e477726.zip
Have rofi grab keyboard immediately for passwords
-rw-r--r--rofi/bin/rofi_pass.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/rofi/bin/rofi_pass.sh b/rofi/bin/rofi_pass.sh
index 1f768164..99b5e3e4 100644
--- a/rofi/bin/rofi_pass.sh
+++ b/rofi/bin/rofi_pass.sh
@@ -53,7 +53,7 @@ get_password() {
# Apply rofi -dmenu to pick a password name. Use case-insensitive matching,
# and don't accept arbitrary input.
#
-name=$(get_names | rofi -dmenu -i -only_match -p pass) || exit
+name=$(get_names | rofi -dmenu -i -no-lazy-grab -only_match -p pass) || exit
[ -n "$name" ] || exit
# Retrieve the chosen password by name; check that we actually got something